## ros-foxy-rosidl-adapter 1.3.1

=== debian/changelog ===
ros-foxy-rosidl-adapter (1.3.1-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 27 May 2023 00:00:00 -0000

ros-foxy-rosidl-adapter (1.3.0-1focal) focal; urgency=high

  * Fix escaping in string literals (#595 <https://github.com/ros2/rosidl/issues/595>) (#618 <https://github.com/ros2/rosidl/issues/618>)
  * Contributors: Ivan Santiago Paunovic, Jacob Perron

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 20 Sep 2022 00:00:00 -0000

ros-foxy-rosidl-adapter (1.2.1-1focal) focal; urgency=high

  * Hex constants and tab as whitespace support (#568 <https://github.com/ros2/rosidl/issues/568>)
    * Treat t as whitespace (#557 <https://github.com/ros2/rosidl/issues/557>)
    * Support hex constants in msg files (#559 <https://github.com/ros2/rosidl/issues/559>)
  * Contributors: Dereck Wonnacott

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 14 Apr 2021 00:00:00 -0000

ros-foxy-rosidl-adapter (1.2.0-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 08 Dec 2020 00:00:00 -0000

ros-foxy-rosidl-adapter (1.1.0-1focal) focal; urgency=high

  * Refactor regex for valid package/field names (#508 <https://github.com/ros2/rosidl/issues/508>)
  * Add pytest.ini so tests succeed locally (#502 <https://github.com/ros2/rosidl/issues/502>)
  * Contributors: Chris Lalancette, Dirk Thomas

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 17 Aug 2020 00:00:00 -0000

ros-foxy-rosidl-adapter (1.0.1-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 03 Jun 2020 00:00:00 -0000

ros-foxy-rosidl-adapter (1.0.0-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 22 May 2020 00:00:00 -0000

ros-foxy-rosidl-adapter (0.9.2-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 19 May 2020 00:00:00 -0000

ros-foxy-rosidl-adapter (0.9.1-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 08 May 2020 00:00:00 -0000

ros-foxy-rosidl-adapter (0.9.0-1focal) focal; urgency=high

  * Use f-string (#436 <https://github.com/ros2/rosidl/issues/436>)
  * Contributors: Dirk Thomas

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 24 Apr 2020 00:00:00 -0000

ros-foxy-rosidl-adapter (0.8.2-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 17 Jan 2020 00:00:00 -0000

ros-foxy-rosidl-adapter (0.8.1-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 23 Oct 2019 00:00:00 -0000

ros-foxy-rosidl-adapter (0.8.0-1focal) focal; urgency=high

  * Improve parser error messages (#415 <https://github.com/ros2/rosidl/issues/415>)
  * support adjacent string literals, use them for multi-line comments (#410 <https://github.com/ros2/rosidl/issues/410>)
  * avoid zero length comment when the comment only contains a unit (#411 <https://github.com/ros2/rosidl/issues/411>)
  * use latin-1 encoding when reading/writing .idl files, prepend BOM to generated C/C++ files when necessary (#391 <https://github.com/ros2/rosidl/issues/391>)
  * fix error msg asserts due to change in pytest (#393 <https://github.com/ros2/rosidl/issues/393>)
  * open interface files with utf-8 encoding (#390 <https://github.com/ros2/rosidl/issues/390>)
  * Contributors: Dirk Thomas, Jacob Perron, William Woodall

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 24 Sep 2019 00:00:00 -0000
