=== debian/control ===
Source: ros-foxy-rosidl-adapter
Section: misc
Priority: optional
Maintainer: Dirk Thomas <dthomas@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake, ros-foxy-ament-cmake-pytest <!nocheck>, ros-foxy-ament-lint-auto <!nocheck>, ros-foxy-ament-lint-common <!nocheck>, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-rosidl-adapter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-empy, ros-foxy-ros-workspace
Description: API and scripts to parse .msg/.srv/.action files and convert them to .idl.
